Package com.tietoenator.trip.jxp.facet

# Class TdbFacetValue

java.lang.Object
com.tietoenator.trip.jxp.facet.TdbFacetValue

public class TdbFacetValue extends Object
Represents one of the values of a facet.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getBaselineCount()`
  Retrieve the number of records in which the facet value occurred in the baseline.
  `long`
  `getLongBaselineCount()`
  Retrieve the number of records in which the facet value occurred in the baseline.
  `long`
  `getLongRecordCount()`
  Retrieve the number of records in which the term occurs
  `int`
  `getRecordCount()`
  Retrieve the number of records in which the facet value occurs
  `boolean`
  `isBaselineValid()`
  Returns true if the baseline count information is valid for this value.
  `String`
  `toString()`
  Retrieve the value of the facet.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### toString

    public String toString()
    Retrieve the value of the facet.
    Overrides:
      `toString` in class `Object`
    Returns:
      The facet value

  - ### getLongRecordCount

    public long getLongRecordCount()
    Retrieve the number of records in which the term occurs
    Returns:
      Record count
    Since:
      8.0

  - ### getRecordCount

    public int getRecordCount()
    Retrieve the number of records in which the facet value occurs

    If the record count is larger than Integer.MAX_VALUE, this property will return Integer.MAX_VALUE. To get the actual record count of terms that have a count larger than Integer.MAX_VALUE records, use the getLongRecordCount() method.

    Returns:
      Record count

  - ### getLongBaselineCount

    public long getLongBaselineCount()
    Retrieve the number of records in which the facet value occurred in the baseline. Requires that this facet value has been created using a facet with the useBaseline or RegisterBaseline property set to true.
    Returns:
      Record count in baseline
    Since:
      8.0

  - ### getBaselineCount

    public int getBaselineCount()
    Retrieve the number of records in which the facet value occurred in the baseline. Only valid with terms associated with facets that have been with baseline information.
    Returns:
      Record count in baseline If the baseline count is larger than Integer.MAX_VALUE, this property will return Integer.MAX_VALUE. To get the actual baseline count of terms that have a count larger than Integer.MAX_VALUE records, use the getLongBaselineCount() method.

  - ### isBaselineValid

    public boolean isBaselineValid()
    Returns true if the baseline count information is valid for this value.
    Returns:
      True if baselineCount is valid